#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND =

override_dh_auto_configure:
	dh_auto_configure -- \
	        --enable-zlib \
	        --enable-zstd \
	        --enable-lz4 \
	        --enable-lzma

# Enabling googletest requires more work
override_dh_auto_test:

%:
	dh $@
